Code

patches, control: Added bts532763-neon27 and b-d on libneon27-gnutls-dev.
[pkg-fusedav.git] / debian / patches / ne_lfs.dpatch
1 #! /bin/sh /usr/share/dpatch/dpatch-run
2 ## ne_lfs.dpatch by Sebastian Harl <sh@tokkee.org>
3 ##
4 ## DP: Fix the use of neon's built-in large file support on 64bit 
5 ## DP: architectures.
7 @DPATCH@
9 --- a/config.h.in       2006-04-02 18:04:41.000000000 +0200
10 +++ b/config.h.in       2007-06-14 20:11:07.000000000 +0200
11 @@ -113,6 +113,9 @@
12  /* Define to the version of this package. */
13  #undef PACKAGE_VERSION
14  
15 +/* The size of a `off_t', as computed by sizeof. */
16 +#undef SIZEOF_OFF_T
17 +
18  /* Define to 1 if you have the ANSI C header files. */
19  #undef STDC_HEADERS
20  
21 diff -uNr a/configure b/configure
22 --- a/configure 2006-04-02 18:04:40.000000000 +0200
23 +++ b/configure 2007-06-14 20:11:07.000000000 +0200
24 @@ -3346,6 +3346,665 @@
25      done
26  fi
27  
28 +
29 +echo "$as_me:$LINENO: checking for egrep" >&5
30 +echo $ECHO_N "checking for egrep... $ECHO_C" >&6
31 +if test "${ac_cv_prog_egrep+set}" = set; then
32 +  echo $ECHO_N "(cached) $ECHO_C" >&6
33 +else
34 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
35 +    then ac_cv_prog_egrep='grep -E'
36 +    else ac_cv_prog_egrep='egrep'
37 +    fi
38 +fi
39 +echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
40 +echo "${ECHO_T}$ac_cv_prog_egrep" >&6
41 + EGREP=$ac_cv_prog_egrep
42 +
43 +
44 +echo "$as_me:$LINENO: checking for ANSI C header files" >&5
45 +echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
46 +if test "${ac_cv_header_stdc+set}" = set; then
47 +  echo $ECHO_N "(cached) $ECHO_C" >&6
48 +else
49 +  cat >conftest.$ac_ext <<_ACEOF
50 +/* confdefs.h.  */
51 +_ACEOF
52 +cat confdefs.h >>conftest.$ac_ext
53 +cat >>conftest.$ac_ext <<_ACEOF
54 +/* end confdefs.h.  */
55 +#include <stdlib.h>
56 +#include <stdarg.h>
57 +#include <string.h>
58 +#include <float.h>
59 +
60 +int
61 +main ()
62 +{
63 +
64 +  ;
65 +  return 0;
66 +}
67 +_ACEOF
68 +rm -f conftest.$ac_objext
69 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
70 +  (eval $ac_compile) 2>conftest.er1
71 +  ac_status=$?
72 +  grep -v '^ *+' conftest.er1 >conftest.err
73 +  rm -f conftest.er1
74 +  cat conftest.err >&5
75 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
76 +  (exit $ac_status); } &&
77 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
78 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
79 +  (eval $ac_try) 2>&5
80 +  ac_status=$?
81 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
82 +  (exit $ac_status); }; } &&
83 +        { ac_try='test -s conftest.$ac_objext'
84 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
85 +  (eval $ac_try) 2>&5
86 +  ac_status=$?
87 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
88 +  (exit $ac_status); }; }; then
89 +  ac_cv_header_stdc=yes
90 +else
91 +  echo "$as_me: failed program was:" >&5
92 +sed 's/^/| /' conftest.$ac_ext >&5
93 +
94 +ac_cv_header_stdc=no
95 +fi
96 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
97 +
98 +if test $ac_cv_header_stdc = yes; then
99 +  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
100 +  cat >conftest.$ac_ext <<_ACEOF
101 +/* confdefs.h.  */
102 +_ACEOF
103 +cat confdefs.h >>conftest.$ac_ext
104 +cat >>conftest.$ac_ext <<_ACEOF
105 +/* end confdefs.h.  */
106 +#include <string.h>
108 +_ACEOF
109 +if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
110 +  $EGREP "memchr" >/dev/null 2>&1; then
111 +  :
112 +else
113 +  ac_cv_header_stdc=no
114 +fi
115 +rm -f conftest*
117 +fi
119 +if test $ac_cv_header_stdc = yes; then
120 +  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
121 +  cat >conftest.$ac_ext <<_ACEOF
122 +/* confdefs.h.  */
123 +_ACEOF
124 +cat confdefs.h >>conftest.$ac_ext
125 +cat >>conftest.$ac_ext <<_ACEOF
126 +/* end confdefs.h.  */
127 +#include <stdlib.h>
129 +_ACEOF
130 +if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
131 +  $EGREP "free" >/dev/null 2>&1; then
132 +  :
133 +else
134 +  ac_cv_header_stdc=no
135 +fi
136 +rm -f conftest*
138 +fi
140 +if test $ac_cv_header_stdc = yes; then
141 +  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
142 +  if test "$cross_compiling" = yes; then
143 +  :
144 +else
145 +  cat >conftest.$ac_ext <<_ACEOF
146 +/* confdefs.h.  */
147 +_ACEOF
148 +cat confdefs.h >>conftest.$ac_ext
149 +cat >>conftest.$ac_ext <<_ACEOF
150 +/* end confdefs.h.  */
151 +#include <ctype.h>
152 +#if ((' ' & 0x0FF) == 0x020)
153 +# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
154 +# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
155 +#else
156 +# define ISLOWER(c) \
157 +                  (('a' <= (c) && (c) <= 'i') \
158 +                    || ('j' <= (c) && (c) <= 'r') \
159 +                    || ('s' <= (c) && (c) <= 'z'))
160 +# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
161 +#endif
163 +#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
164 +int
165 +main ()
166 +{
167 +  int i;
168 +  for (i = 0; i < 256; i++)
169 +    if (XOR (islower (i), ISLOWER (i))
170 +       || toupper (i) != TOUPPER (i))
171 +      exit(2);
172 +  exit (0);
173 +}
174 +_ACEOF
175 +rm -f conftest$ac_exeext
176 +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
177 +  (eval $ac_link) 2>&5
178 +  ac_status=$?
179 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
180 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
181 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
182 +  (eval $ac_try) 2>&5
183 +  ac_status=$?
184 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
185 +  (exit $ac_status); }; }; then
186 +  :
187 +else
188 +  echo "$as_me: program exited with status $ac_status" >&5
189 +echo "$as_me: failed program was:" >&5
190 +sed 's/^/| /' conftest.$ac_ext >&5
192 +( exit $ac_status )
193 +ac_cv_header_stdc=no
194 +fi
195 +rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
196 +fi
197 +fi
198 +fi
199 +echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
200 +echo "${ECHO_T}$ac_cv_header_stdc" >&6
201 +if test $ac_cv_header_stdc = yes; then
203 +cat >>confdefs.h <<\_ACEOF
204 +#define STDC_HEADERS 1
205 +_ACEOF
207 +fi
209 +# On IRIX 5.3, sys/types and inttypes.h are conflicting.
219 +for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
220 +                 inttypes.h stdint.h unistd.h
221 +do
222 +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
223 +echo "$as_me:$LINENO: checking for $ac_header" >&5
224 +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
225 +if eval "test \"\${$as_ac_Header+set}\" = set"; then
226 +  echo $ECHO_N "(cached) $ECHO_C" >&6
227 +else
228 +  cat >conftest.$ac_ext <<_ACEOF
229 +/* confdefs.h.  */
230 +_ACEOF
231 +cat confdefs.h >>conftest.$ac_ext
232 +cat >>conftest.$ac_ext <<_ACEOF
233 +/* end confdefs.h.  */
234 +$ac_includes_default
236 +#include <$ac_header>
237 +_ACEOF
238 +rm -f conftest.$ac_objext
239 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
240 +  (eval $ac_compile) 2>conftest.er1
241 +  ac_status=$?
242 +  grep -v '^ *+' conftest.er1 >conftest.err
243 +  rm -f conftest.er1
244 +  cat conftest.err >&5
245 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
246 +  (exit $ac_status); } &&
247 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
248 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
249 +  (eval $ac_try) 2>&5
250 +  ac_status=$?
251 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
252 +  (exit $ac_status); }; } &&
253 +        { ac_try='test -s conftest.$ac_objext'
254 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
255 +  (eval $ac_try) 2>&5
256 +  ac_status=$?
257 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
258 +  (exit $ac_status); }; }; then
259 +  eval "$as_ac_Header=yes"
260 +else
261 +  echo "$as_me: failed program was:" >&5
262 +sed 's/^/| /' conftest.$ac_ext >&5
264 +eval "$as_ac_Header=no"
265 +fi
266 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
267 +fi
268 +echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
269 +echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
270 +if test `eval echo '${'$as_ac_Header'}'` = yes; then
271 +  cat >>confdefs.h <<_ACEOF
272 +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
273 +_ACEOF
275 +fi
277 +done
280 +echo "$as_me:$LINENO: checking for off_t" >&5
281 +echo $ECHO_N "checking for off_t... $ECHO_C" >&6
282 +if test "${ac_cv_type_off_t+set}" = set; then
283 +  echo $ECHO_N "(cached) $ECHO_C" >&6
284 +else
285 +  cat >conftest.$ac_ext <<_ACEOF
286 +/* confdefs.h.  */
287 +_ACEOF
288 +cat confdefs.h >>conftest.$ac_ext
289 +cat >>conftest.$ac_ext <<_ACEOF
290 +/* end confdefs.h.  */
291 +$ac_includes_default
292 +int
293 +main ()
294 +{
295 +if ((off_t *) 0)
296 +  return 0;
297 +if (sizeof (off_t))
298 +  return 0;
299 +  ;
300 +  return 0;
301 +}
302 +_ACEOF
303 +rm -f conftest.$ac_objext
304 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
305 +  (eval $ac_compile) 2>conftest.er1
306 +  ac_status=$?
307 +  grep -v '^ *+' conftest.er1 >conftest.err
308 +  rm -f conftest.er1
309 +  cat conftest.err >&5
310 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
311 +  (exit $ac_status); } &&
312 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
313 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
314 +  (eval $ac_try) 2>&5
315 +  ac_status=$?
316 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
317 +  (exit $ac_status); }; } &&
318 +        { ac_try='test -s conftest.$ac_objext'
319 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
320 +  (eval $ac_try) 2>&5
321 +  ac_status=$?
322 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
323 +  (exit $ac_status); }; }; then
324 +  ac_cv_type_off_t=yes
325 +else
326 +  echo "$as_me: failed program was:" >&5
327 +sed 's/^/| /' conftest.$ac_ext >&5
329 +ac_cv_type_off_t=no
330 +fi
331 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
332 +fi
333 +echo "$as_me:$LINENO: result: $ac_cv_type_off_t" >&5
334 +echo "${ECHO_T}$ac_cv_type_off_t" >&6
336 +echo "$as_me:$LINENO: checking size of off_t" >&5
337 +echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
338 +if test "${ac_cv_sizeof_off_t+set}" = set; then
339 +  echo $ECHO_N "(cached) $ECHO_C" >&6
340 +else
341 +  if test "$ac_cv_type_off_t" = yes; then
342 +  # The cast to unsigned long works around a bug in the HP C Compiler
343 +  # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
344 +  # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
345 +  # This bug is HP SR number 8606223364.
346 +  if test "$cross_compiling" = yes; then
347 +  # Depending upon the size, compute the lo and hi bounds.
348 +cat >conftest.$ac_ext <<_ACEOF
349 +/* confdefs.h.  */
350 +_ACEOF
351 +cat confdefs.h >>conftest.$ac_ext
352 +cat >>conftest.$ac_ext <<_ACEOF
353 +/* end confdefs.h.  */
354 +$ac_includes_default
355 +int
356 +main ()
357 +{
358 +static int test_array [1 - 2 * !(((long) (sizeof (off_t))) >= 0)];
359 +test_array [0] = 0
361 +  ;
362 +  return 0;
363 +}
364 +_ACEOF
365 +rm -f conftest.$ac_objext
366 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
367 +  (eval $ac_compile) 2>conftest.er1
368 +  ac_status=$?
369 +  grep -v '^ *+' conftest.er1 >conftest.err
370 +  rm -f conftest.er1
371 +  cat conftest.err >&5
372 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
373 +  (exit $ac_status); } &&
374 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
375 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
376 +  (eval $ac_try) 2>&5
377 +  ac_status=$?
378 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
379 +  (exit $ac_status); }; } &&
380 +        { ac_try='test -s conftest.$ac_objext'
381 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
382 +  (eval $ac_try) 2>&5
383 +  ac_status=$?
384 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
385 +  (exit $ac_status); }; }; then
386 +  ac_lo=0 ac_mid=0
387 +  while :; do
388 +    cat >conftest.$ac_ext <<_ACEOF
389 +/* confdefs.h.  */
390 +_ACEOF
391 +cat confdefs.h >>conftest.$ac_ext
392 +cat >>conftest.$ac_ext <<_ACEOF
393 +/* end confdefs.h.  */
394 +$ac_includes_default
395 +int
396 +main ()
397 +{
398 +static int test_array [1 - 2 * !(((long) (sizeof (off_t))) <= $ac_mid)];
399 +test_array [0] = 0
401 +  ;
402 +  return 0;
403 +}
404 +_ACEOF
405 +rm -f conftest.$ac_objext
406 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
407 +  (eval $ac_compile) 2>conftest.er1
408 +  ac_status=$?
409 +  grep -v '^ *+' conftest.er1 >conftest.err
410 +  rm -f conftest.er1
411 +  cat conftest.err >&5
412 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
413 +  (exit $ac_status); } &&
414 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
415 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
416 +  (eval $ac_try) 2>&5
417 +  ac_status=$?
418 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
419 +  (exit $ac_status); }; } &&
420 +        { ac_try='test -s conftest.$ac_objext'
421 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
422 +  (eval $ac_try) 2>&5
423 +  ac_status=$?
424 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
425 +  (exit $ac_status); }; }; then
426 +  ac_hi=$ac_mid; break
427 +else
428 +  echo "$as_me: failed program was:" >&5
429 +sed 's/^/| /' conftest.$ac_ext >&5
431 +ac_lo=`expr $ac_mid + 1`
432 +                   if test $ac_lo -le $ac_mid; then
433 +                     ac_lo= ac_hi=
434 +                     break
435 +                   fi
436 +                   ac_mid=`expr 2 '*' $ac_mid + 1`
437 +fi
438 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
439 +  done
440 +else
441 +  echo "$as_me: failed program was:" >&5
442 +sed 's/^/| /' conftest.$ac_ext >&5
444 +cat >conftest.$ac_ext <<_ACEOF
445 +/* confdefs.h.  */
446 +_ACEOF
447 +cat confdefs.h >>conftest.$ac_ext
448 +cat >>conftest.$ac_ext <<_ACEOF
449 +/* end confdefs.h.  */
450 +$ac_includes_default
451 +int
452 +main ()
453 +{
454 +static int test_array [1 - 2 * !(((long) (sizeof (off_t))) < 0)];
455 +test_array [0] = 0
457 +  ;
458 +  return 0;
459 +}
460 +_ACEOF
461 +rm -f conftest.$ac_objext
462 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
463 +  (eval $ac_compile) 2>conftest.er1
464 +  ac_status=$?
465 +  grep -v '^ *+' conftest.er1 >conftest.err
466 +  rm -f conftest.er1
467 +  cat conftest.err >&5
468 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
469 +  (exit $ac_status); } &&
470 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
471 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
472 +  (eval $ac_try) 2>&5
473 +  ac_status=$?
474 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
475 +  (exit $ac_status); }; } &&
476 +        { ac_try='test -s conftest.$ac_objext'
477 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
478 +  (eval $ac_try) 2>&5
479 +  ac_status=$?
480 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
481 +  (exit $ac_status); }; }; then
482 +  ac_hi=-1 ac_mid=-1
483 +  while :; do
484 +    cat >conftest.$ac_ext <<_ACEOF
485 +/* confdefs.h.  */
486 +_ACEOF
487 +cat confdefs.h >>conftest.$ac_ext
488 +cat >>conftest.$ac_ext <<_ACEOF
489 +/* end confdefs.h.  */
490 +$ac_includes_default
491 +int
492 +main ()
493 +{
494 +static int test_array [1 - 2 * !(((long) (sizeof (off_t))) >= $ac_mid)];
495 +test_array [0] = 0
497 +  ;
498 +  return 0;
499 +}
500 +_ACEOF
501 +rm -f conftest.$ac_objext
502 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
503 +  (eval $ac_compile) 2>conftest.er1
504 +  ac_status=$?
505 +  grep -v '^ *+' conftest.er1 >conftest.err
506 +  rm -f conftest.er1
507 +  cat conftest.err >&5
508 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
509 +  (exit $ac_status); } &&
510 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
511 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
512 +  (eval $ac_try) 2>&5
513 +  ac_status=$?
514 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
515 +  (exit $ac_status); }; } &&
516 +        { ac_try='test -s conftest.$ac_objext'
517 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
518 +  (eval $ac_try) 2>&5
519 +  ac_status=$?
520 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
521 +  (exit $ac_status); }; }; then
522 +  ac_lo=$ac_mid; break
523 +else
524 +  echo "$as_me: failed program was:" >&5
525 +sed 's/^/| /' conftest.$ac_ext >&5
527 +ac_hi=`expr '(' $ac_mid ')' - 1`
528 +                      if test $ac_mid -le $ac_hi; then
529 +                        ac_lo= ac_hi=
530 +                        break
531 +                      fi
532 +                      ac_mid=`expr 2 '*' $ac_mid`
533 +fi
534 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
535 +  done
536 +else
537 +  echo "$as_me: failed program was:" >&5
538 +sed 's/^/| /' conftest.$ac_ext >&5
540 +ac_lo= ac_hi=
541 +fi
542 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
543 +fi
544 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
545 +# Binary search between lo and hi bounds.
546 +while test "x$ac_lo" != "x$ac_hi"; do
547 +  ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
548 +  cat >conftest.$ac_ext <<_ACEOF
549 +/* confdefs.h.  */
550 +_ACEOF
551 +cat confdefs.h >>conftest.$ac_ext
552 +cat >>conftest.$ac_ext <<_ACEOF
553 +/* end confdefs.h.  */
554 +$ac_includes_default
555 +int
556 +main ()
557 +{
558 +static int test_array [1 - 2 * !(((long) (sizeof (off_t))) <= $ac_mid)];
559 +test_array [0] = 0
561 +  ;
562 +  return 0;
563 +}
564 +_ACEOF
565 +rm -f conftest.$ac_objext
566 +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
567 +  (eval $ac_compile) 2>conftest.er1
568 +  ac_status=$?
569 +  grep -v '^ *+' conftest.er1 >conftest.err
570 +  rm -f conftest.er1
571 +  cat conftest.err >&5
572 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
573 +  (exit $ac_status); } &&
574 +        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
575 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
576 +  (eval $ac_try) 2>&5
577 +  ac_status=$?
578 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
579 +  (exit $ac_status); }; } &&
580 +        { ac_try='test -s conftest.$ac_objext'
581 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
582 +  (eval $ac_try) 2>&5
583 +  ac_status=$?
584 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
585 +  (exit $ac_status); }; }; then
586 +  ac_hi=$ac_mid
587 +else
588 +  echo "$as_me: failed program was:" >&5
589 +sed 's/^/| /' conftest.$ac_ext >&5
591 +ac_lo=`expr '(' $ac_mid ')' + 1`
592 +fi
593 +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
594 +done
595 +case $ac_lo in
596 +?*) ac_cv_sizeof_off_t=$ac_lo;;
597 +'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (off_t), 77
598 +See \`config.log' for more details." >&5
599 +echo "$as_me: error: cannot compute sizeof (off_t), 77
600 +See \`config.log' for more details." >&2;}
601 +   { (exit 1); exit 1; }; } ;;
602 +esac
603 +else
604 +  if test "$cross_compiling" = yes; then
605 +  { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
606 +echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
607 +   { (exit 1); exit 1; }; }
608 +else
609 +  cat >conftest.$ac_ext <<_ACEOF
610 +/* confdefs.h.  */
611 +_ACEOF
612 +cat confdefs.h >>conftest.$ac_ext
613 +cat >>conftest.$ac_ext <<_ACEOF
614 +/* end confdefs.h.  */
615 +$ac_includes_default
616 +long longval () { return (long) (sizeof (off_t)); }
617 +unsigned long ulongval () { return (long) (sizeof (off_t)); }
618 +#include <stdio.h>
619 +#include <stdlib.h>
620 +int
621 +main ()
622 +{
624 +  FILE *f = fopen ("conftest.val", "w");
625 +  if (! f)
626 +    exit (1);
627 +  if (((long) (sizeof (off_t))) < 0)
628 +    {
629 +      long i = longval ();
630 +      if (i != ((long) (sizeof (off_t))))
631 +       exit (1);
632 +      fprintf (f, "%ld\n", i);
633 +    }
634 +  else
635 +    {
636 +      unsigned long i = ulongval ();
637 +      if (i != ((long) (sizeof (off_t))))
638 +       exit (1);
639 +      fprintf (f, "%lu\n", i);
640 +    }
641 +  exit (ferror (f) || fclose (f) != 0);
643 +  ;
644 +  return 0;
645 +}
646 +_ACEOF
647 +rm -f conftest$ac_exeext
648 +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
649 +  (eval $ac_link) 2>&5
650 +  ac_status=$?
651 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
652 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
653 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
654 +  (eval $ac_try) 2>&5
655 +  ac_status=$?
656 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
657 +  (exit $ac_status); }; }; then
658 +  ac_cv_sizeof_off_t=`cat conftest.val`
659 +else
660 +  echo "$as_me: program exited with status $ac_status" >&5
661 +echo "$as_me: failed program was:" >&5
662 +sed 's/^/| /' conftest.$ac_ext >&5
664 +( exit $ac_status )
665 +{ { echo "$as_me:$LINENO: error: cannot compute sizeof (off_t), 77
666 +See \`config.log' for more details." >&5
667 +echo "$as_me: error: cannot compute sizeof (off_t), 77
668 +See \`config.log' for more details." >&2;}
669 +   { (exit 1); exit 1; }; }
670 +fi
671 +rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
672 +fi
673 +fi
674 +rm -f conftest.val
675 +else
676 +  ac_cv_sizeof_off_t=0
677 +fi
678 +fi
679 +echo "$as_me:$LINENO: result: $ac_cv_sizeof_off_t" >&5
680 +echo "${ECHO_T}$ac_cv_sizeof_off_t" >&6
681 +cat >>confdefs.h <<_ACEOF
682 +#define SIZEOF_OFF_T $ac_cv_sizeof_off_t
683 +_ACEOF
687  # 64 Bit LFS support
688  # Check whether --enable-largefile or --disable-largefile was given.
689  if test "${enable_largefile+set}" = set; then
690 @@ -4032,22 +4691,6 @@
691  
692  fi
693  
695 -echo "$as_me:$LINENO: checking for egrep" >&5
696 -echo $ECHO_N "checking for egrep... $ECHO_C" >&6
697 -if test "${ac_cv_prog_egrep+set}" = set; then
698 -  echo $ECHO_N "(cached) $ECHO_C" >&6
699 -else
700 -  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
701 -    then ac_cv_prog_egrep='grep -E'
702 -    else ac_cv_prog_egrep='egrep'
703 -    fi
704 -fi
705 -echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
706 -echo "${ECHO_T}$ac_cv_prog_egrep" >&6
707 - EGREP=$ac_cv_prog_egrep
710  echo "$as_me:$LINENO: checking for ANSI C header files" >&5
711  echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
712  if test "${ac_cv_header_stdc+set}" = set; then
713 @@ -4213,77 +4856,6 @@
714  
715  fi
716  
717 -# On IRIX 5.3, sys/types and inttypes.h are conflicting.
727 -for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
728 -                 inttypes.h stdint.h unistd.h
729 -do
730 -as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
731 -echo "$as_me:$LINENO: checking for $ac_header" >&5
732 -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
733 -if eval "test \"\${$as_ac_Header+set}\" = set"; then
734 -  echo $ECHO_N "(cached) $ECHO_C" >&6
735 -else
736 -  cat >conftest.$ac_ext <<_ACEOF
737 -/* confdefs.h.  */
738 -_ACEOF
739 -cat confdefs.h >>conftest.$ac_ext
740 -cat >>conftest.$ac_ext <<_ACEOF
741 -/* end confdefs.h.  */
742 -$ac_includes_default
744 -#include <$ac_header>
745 -_ACEOF
746 -rm -f conftest.$ac_objext
747 -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
748 -  (eval $ac_compile) 2>conftest.er1
749 -  ac_status=$?
750 -  grep -v '^ *+' conftest.er1 >conftest.err
751 -  rm -f conftest.er1
752 -  cat conftest.err >&5
753 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
754 -  (exit $ac_status); } &&
755 -        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
756 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
757 -  (eval $ac_try) 2>&5
758 -  ac_status=$?
759 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
760 -  (exit $ac_status); }; } &&
761 -        { ac_try='test -s conftest.$ac_objext'
762 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
763 -  (eval $ac_try) 2>&5
764 -  ac_status=$?
765 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
766 -  (exit $ac_status); }; }; then
767 -  eval "$as_ac_Header=yes"
768 -else
769 -  echo "$as_me: failed program was:" >&5
770 -sed 's/^/| /' conftest.$ac_ext >&5
772 -eval "$as_ac_Header=no"
773 -fi
774 -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
775 -fi
776 -echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
777 -echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
778 -if test `eval echo '${'$as_ac_Header'}'` = yes; then
779 -  cat >>confdefs.h <<_ACEOF
780 -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
781 -_ACEOF
783 -fi
785 -done
788  
789  
790  
791 diff -uNr a/configure.ac b/configure.ac
792 --- a/configure.ac      2006-04-02 18:04:33.000000000 +0200
793 +++ b/configure.ac      2007-06-14 20:11:07.000000000 +0200
794 @@ -88,6 +88,8 @@
795      done 
796  fi
797  
798 +AC_CHECK_SIZEOF(off_t)
800  # 64 Bit LFS support
801  AC_SYS_LARGEFILE
802  
803 diff -uNr a/src/filecache.c b/src/filecache.c
804 --- a/src/filecache.c   2006-04-02 16:03:08.000000000 +0200
805 +++ b/src/filecache.c   2007-06-14 20:11:07.000000000 +0200
806 @@ -47,6 +47,11 @@
807  #include "fusedav.h"
808  #include "session.h"
809  
810 +#if (SIZEOF_OFF_T >= 8)
811 +#  define ne_content_range64 ne_content_range
812 +#  define ne_get_range64 ne_get_range
813 +#endif
815  struct file_info {
816      char *filename;
817      int fd;
818 diff -uNr a/src/fusedav.c b/src/fusedav.c
819 --- a/src/fusedav.c     2006-04-02 17:42:49.000000000 +0200
820 +++ b/src/fusedav.c     2007-06-14 20:11:07.000000000 +0200
821 @@ -1386,8 +1386,11 @@
822      }
823  
824      if (!ne_has_support(NE_FEATURE_SSL) ||
825 -        !ne_has_support(NE_FEATURE_TS_SSL) ||
826 -        !ne_has_support(NE_FEATURE_LFS)) {
827 +        !ne_has_support(NE_FEATURE_TS_SSL)
828 +#if (SIZEOF_OFF_T < 8)
829 +               || !ne_has_support(NE_FEATURE_LFS)
830 +#endif
831 +               ) {
832          fprintf(stderr, "fusedav requires libneon built with SSL, SSL thread safety and LFS enabled.\n");
833          goto finish;
834      }